import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:scrobbles/cubit/data_counts_by_day_cubit.dart';
import 'package:scrobbles/models/counts_by_day.dart';
import 'package:scrobbles/ui/widgets/card_content.dart';
import 'package:scrobbles/ui/widgets/charts/counts_by_day.dart';

class CardCountsByDay extends StatelessWidget {
  const CardCountsByDay({super.key});

  @override
  Widget build(BuildContext context) {
    final int daysCount = 21;

    return BlocProvider<DataCountsByDayCubit>(
      create: (BuildContext context) => DataCountsByDayCubit(),
      child: BlocBuilder<DataCountsByDayCubit, DataCountsByDayState>(
        builder: (BuildContext context, DataCountsByDayState state) {
          return CardContent(
            color: Theme.of(context).colorScheme.surface,
            title: 'counts_by_day'.tr(
              namedArgs: {
                'daysCount': daysCount.toString(),
              },
            ),
            content: ChartCountsByDay(
              chartData: CountsByDayData.fromJson(jsonDecode(state.countsByDay.toString())),
              isLoading: false,
            ),
          );
        },
      ),
    );
  }
}
