import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:scrobbles/cubit/data_counts_by_hour_cubit.dart';
import 'package:scrobbles/models/counts_by_hour.dart';
import 'package:scrobbles/ui/widgets/card_content.dart';
import 'package:scrobbles/ui/widgets/charts/counts_by_hour.dart';

class CardCountsByHour extends StatelessWidget {
  const CardCountsByHour({super.key});

  @override
  Widget build(BuildContext context) {
    final int daysCount = 21;

    return BlocProvider<DataCountsByHourCubit>(
      create: (BuildContext context) => DataCountsByHourCubit(),
      child: BlocBuilder<DataCountsByHourCubit, DataCountsByHourState>(
        builder: (BuildContext context, DataCountsByHourState state) {
          return CardContent(
            color: Theme.of(context).colorScheme.surface,
            title: 'counts_by_hour'.tr(
              namedArgs: {
                'daysCount': daysCount.toString(),
              },
            ),
            content: ChartCountsByHour(
              chartData: CountsByHourData.fromJson(jsonDecode(state.countsByHour.toString())),
              isLoading: false,
            ),
          );
        },
      ),
    );
  }
}
